[Numpy-discussion] compilation error on OSX 10.4

Curzio Basso curzio.basso at gmail.com
Sat Nov 19 05:34:05 CST 2005

Hi all,

I get the following error compiling an extension module using numarray
1.4.1 on Mac OSX 10.4:
building 'fmlio' extension
gcc-3.3 -fno-strict-aliasing -Wno-long-double -no-cpp-precomp
-mno-fused-madd -DNDEBUG -g -O3 -Wall -Wstrict-prototypes -DLINUX
-I/home/basso/usr/include/python -I/sw/include/python2.4 -c
src/fmlio.cpp -o
In file included from /sw/include/python2.4/numarray/libnumarray.h:17,
                 from /sw/include/python2.4/numarray/numarray.h:6,
                 from src/fmlio.h:10,
                 from src/fmlio.cpp:2:
/sw/include/python2.4/numarray/nummacro.h:27: error: parse error before `;'
error: command 'gcc-3.3' failed with exit status 1
the same happens with gcc-4. On Gentoo I can compile without problems.
Did anyone else get a similar problem? Ah, and numarray.h is included
right after Python.h.


More information about the Numpy-discussion mailing list